Package com.ocient.jdbc.proto

# Enum PlanProtocol.FrameSpec.FrameType

java.lang.Object
java.lang.Enum<PlanProtocol.FrameSpec.FrameType>
com.ocient.jdbc.proto.PlanProtocol.FrameSpec.FrameType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.FrameSpec.FrameType>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol.FrameSpec

    public static enum PlanProtocol.FrameSpec.FrameType
    extends Enum<PlanProtocol.FrameSpec.FrameType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.db.sqlPlans.FrameSpec.FrameType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`FRAME_TYPE_FULL` | `FRAME_TYPE_FULL = 3;`
`FRAME_TYPE_INTERVAL` | `FRAME_TYPE_INTERVAL = 4;`
`FRAME_TYPE_LEFT_HALF` | `FRAME_TYPE_LEFT_HALF = 1;`
`FRAME_TYPE_RIGHT_HALF` | `FRAME_TYPE_RIGHT_HALF = 2;`
`INVALID` | `INVALID = 0;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `FRAME_TYPE_FULL_VALUE` | `FRAME_TYPE_FULL = 3;`
`static int` | `FRAME_TYPE_INTERVAL_VALUE` | `FRAME_TYPE_INTERVAL = 4;`
`static int` | `FRAME_TYPE_LEFT_HALF_VALUE` | `FRAME_TYPE_LEFT_HALF = 1;`
`static int` | `FRAME_TYPE_RIGHT_HALF_VALUE` | `FRAME_TYPE_RIGHT_HALF = 2;`
`static int` | `INVALID_VALUE` | `INVALID = 0;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.FrameSpec.FrameType` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.FrameSpec.FrameType>` | `internalGetValueMap()` |
`static PlanProtocol.FrameSpec.FrameType` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.FrameSpec.FrameType` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.FrameSpec.FrameType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.FrameSpec.FrameType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final PlanProtocol.FrameSpec.FrameType INVALID
`INVALID = 0;`

### FRAME_TYPE_LEFT_HALF

public static final PlanProtocol.FrameSpec.FrameType FRAME_TYPE_LEFT_HALF
`FRAME_TYPE_LEFT_HALF = 1;`

### FRAME_TYPE_RIGHT_HALF

public static final PlanProtocol.FrameSpec.FrameType FRAME_TYPE_RIGHT_HALF
`FRAME_TYPE_RIGHT_HALF = 2;`

### FRAME_TYPE_FULL

public static final PlanProtocol.FrameSpec.FrameType FRAME_TYPE_FULL
`FRAME_TYPE_FULL = 3;`

### FRAME_TYPE_INTERVAL

public static final PlanProtocol.FrameSpec.FrameType FRAME_TYPE_INTERVAL
`FRAME_TYPE_INTERVAL = 4;`

### UNRECOGNIZED

public static final PlanProtocol.FrameSpec.FrameType UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  Constant Field Values

### FRAME_TYPE_LEFT_HALF_VALUE

public static final int FRAME_TYPE_LEFT_HALF_VALUE
`FRAME_TYPE_LEFT_HALF = 1;`

See Also:
  Constant Field Values

### FRAME_TYPE_RIGHT_HALF_VALUE

public static final int FRAME_TYPE_RIGHT_HALF_VALUE
`FRAME_TYPE_RIGHT_HALF = 2;`

See Also:
  Constant Field Values

### FRAME_TYPE_FULL_VALUE

public static final int FRAME_TYPE_FULL_VALUE
`FRAME_TYPE_FULL = 3;`

See Also:
  Constant Field Values

### FRAME_TYPE_INTERVAL_VALUE

public static final int FRAME_TYPE_INTERVAL_VALUE
`FRAME_TYPE_INTERVAL = 4;`

See Also:
  Constant Field Values

## Method Details

### values

public static PlanProtocol.FrameSpec.FrameType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.FrameSpec.FrameType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static PlanProtocol.FrameSpec.FrameType valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.FrameSpec.FrameType forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.FrameSpec.FrameType> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static PlanProtocol.FrameSpec.FrameType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null